from flask import render_template, Blueprint, request, redirect, url_for
import requests

editor_app = Blueprint('editor', __name__)


@editor_app.route('/backstage/editor')
def editor():
    url = request.args.get('url', type=str)
    return render_template('editor.html', title='Type Editor', url=url)


@editor_app.route('/backstage/remove', methods=['POST'])
def remove():
    url = request.args.get('url', type=str)
    response = requests.delete('http://127.0.0.1:5000/api/contents?url={}'.format(url))
    return redirect(url_for('collections.collection_list'))
