from flask import render_template, Blueprint
import requests


blogs_app = Blueprint('blogs', __name__)


@blogs_app.route('/backstage/blogs')
def blog_list():
    response = requests.get('http://127.0.0.1:5000/api/contents?url=/blog')
    if response.status_code == 200:
        return render_template(
            'blogs.html', title='設計專欄', legend='設計專欄列表', blogs=response.json(), length=len(response.json()))
